Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.util
Class SnapshotPlugin

    java.lang.Object
      org.joone.util.MonitorPlugin
          org.joone.util.SnapshotPlugin

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, NeuralNetListener

Direct Known Subclasses:
  SnapshotRecorder

    public abstract class SnapshotPlugin

extends MonitorPlugin
implements java.io.Serializable

A SnapshotPlugin manages the generation of snapshots of the network's state at regular intervals during its activity. The effective snapshot generation is deferred to subclasses to allow for misc. storage formats and output destinations.

Author:
  Olivier Hussenet
See Also:
  Serialized Form

Constructor Summary
`protected` | `SnapshotPlugin()` Creates a new SnapshotPlugin object.

Method Summary
`protected abstract void` | `doSnapshot()` Allows subclasses to define specific snapshot generation.
`protected abstract void` | `doStart()` Allows subclasses to define specific start processing.
`protected abstract void` | `doStop()` Allows subclasses to define specific stop processing.
`protected void` | `manageCycle(Monitor mon)` Process one cycle of activity: calls the doSnapshot method to allow for specific snapshot generation by subclasses.
`protected void` | `manageError(Monitor mon)` Global error is stored along with the monitor, so this method does nothing.
`protected void` | `manageStart(Monitor mon)` Start a new activity session: calls the doStart method to inform subclasses, then generates a snapshot of the initial state of the network.
`protected void` | `manageStop(Monitor mon)` Stop an activity session: take a snapshot of the final state of the network, then calls the doStop method to inform subclasses

Methods inherited from class org.joone.util.MonitorPlugin
`cicleTerminated, errorChanged, getName, getNeuralNet, getRate, manageStopError, netStarted, netStopped, netStoppedError, setName, setNeuralNet, setRate, toBeManaged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnapshotPlugin

    protected SnapshotPlugin()

  Creates a new SnapshotPlugin object.

Method Detail

### manageStart

    protected final void manageStart(Monitor mon)

  Start a new activity session: calls the doStart method to inform subclasses, then generates a snapshot of the initial state of the network.

  Specified by:
    `manageStart` in class `MonitorPlugin`
  Parameters:
    `mon` - the monitor

### doStart

    protected abstract void doStart()

  Allows subclasses to define specific start processing.

  Parameters:
    `net` - the current neural network.

### manageCycle

    protected final void manageCycle(Monitor mon)

  Process one cycle of activity: calls the doSnapshot method to allow for specific snapshot generation by subclasses.

  Specified by:
    `manageCycle` in class `MonitorPlugin`
  Parameters:
    `mon` - the monitor

### doSnapshot

    protected abstract void doSnapshot()

  Allows subclasses to define specific snapshot generation.

  Parameters:
    `net` - the current neural network.

### manageStop

    protected final void manageStop(Monitor mon)

  Stop an activity session: take a snapshot of the final state of the network, then calls the doStop method to inform subclasses

  Specified by:
    `manageStop` in class `MonitorPlugin`
  Parameters:
    `mon` - the monitor

### doStop

    protected abstract void doStop()

  Allows subclasses to define specific stop processing.

  Parameters:
    `net` - the current neural network.

### manageError

    protected final void manageError(Monitor mon)

  Global error is stored along with the monitor, so this method does nothing.

  Specified by:
    `manageError` in class `MonitorPlugin`
  Parameters:
    `mon` - the monitor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net